<?php
/*Автор - TheAlex(Саня)
Все права принадлежат компании CreaWap)*/
$title = 'Товар';
require_once ('../system/function.php');
require_once ('../system/header.php');

if(!isset($user['id'])) {
echo err($title, '
Уважаемый посетитель, Вы зашли на сайт как незарегистрированный пользователь.<br/>
Мы рекомендуем Вам зарегистрироваться либо войти на сайт под своим именем.
');
require_once ('../system/footer.php'); exit;
}
$_GET['id']=abs(intval($_GET['id']));
if(mysql_num_rows(mysql_query("SELECT * FROM `shop_goods` WHERE `id`='".$_GET['id']."'"))==0){
	echo '<div class="podmenu"><center><b>Товара не существует!</b></center></div>';
	require_once ('../system/footer.php'); exit;
}
$goods=mysql_fetch_assoc(mysql_query("SELECT * FROM `shop_goods` WHERE `id`='".$_GET['id']."'"));
switch($_GET['act']){
	default:
if(isset($_POST['ok'])){
	$_POST['text']=strong($_POST['text']);
	if(empty($_POST['text'])){
		$error='Введите текст комментария!';
	}elseif(mb_strlen($_POST['text'])<3 or mb_strlen($_POST['text'])>4000){
		$error='Текст комментария должен быть не менее 3-х символов и не более 4000';
	}
	if(isset($error)){
		echo '<div class="podmenu"><center><b>'.$error.'</b></center></div>';
	}
	mysql_query("INSERT INTO `shop_comm` SET `id_goods`='".$_GET['id']."', `id_us`='".$user['id']."', time='".time()."', `text`='".$_POST['text']."'");
	header('location:/m/tovar.php?id='.$_GET['id'].'&selection=top');
}
$wmid=mysql_result(mysql_query("SELECT `wmid` FROM `users` WHERE `id`='".$goods['id_us']."'"), 0);
echo '<div class="title">'.$goods['name'].'</div>';
if($user['level']>=1 or $user['id']==$goods['id_us']){
echo '<div class="podmenu"><a href="/m/tovar.php?act=delt&id='.$_GET['id'].'">Удалить</a> | <a href="/m/tovar.php?act=editt&id='.$_GET['id'].'">Редактировать</a></div>';
}

if(mysql_num_rows(mysql_query("SELECT * FROM `shop_screen` WHERE `goods`='".$_GET['id']."'"))!=0){
	$w=mysql_query("SELECT * FROM `shop_screen` WHERE `goods`='".$_GET['id']."'");
	echo '<div class="podmenu"><center>';
	while($screen=mysql_fetch_assoc($w)){
		echo '<a href="/files/m/scr/'.$screen['img'].'"><img style="width: 130px; height: 150px;" src ="/files/m/scr/'.$screen['img'].'"></a>';
	}
	echo '</center></div>';
}




if(mysql_num_rows(mysql_query("SELECT * FROM `shop_buy` WHERE `id_goods`='".$_GET['id']."'"))>=$goods['amount']){
	echo '<div class="podmenu"><center><b><font color="red">Все копии проданы!</font></b></center></div>';
}
echo '

<div class="podmenu">Название: <b>'.$goods['name'].'</b><br/></div>
<div class="podmenu">Автор: '.nick($goods['id_us']).' [<a href="/m/usinf.php?id='.$goods['id_us'].'">Его товари</a>] ('.vremja($goods['time']).')<br/></div>
<div class="podmenu">Описание: '.$goods['description'].'</br></div>
<div class="podmenu">Вес: '.fsize($_SERVER["DOCUMENT_ROOT"].'/files/m/goods/'.$goods['goods']).'<br/></div>
<div class="podmenu">Cтоимость: <b>'.$goods['price'].'р</b> / продает '.$goods['amount'].' копий<br/></div>';
if($goods['resale']==0){
	echo '<div class="podmenu"><font color="red">Без прав на перепродажу</font></b><br/></div>';
}else{
	echo '<div class="podmenu"><font color="red">Права на перепродажу</font></b><br/></div>';
}


echo'
<div class="podmenu"> Добавили в корзину: '.mysql_num_rows(mysql_query("SELECT * FROM `shop_basket` WHERE `id_goods`='".$_GET['id']."'")).'';
if(mysql_num_rows(mysql_query("SELECT * FROM `shop_basket` WHERE `id_us`='".$user['id']."' AND `id_goods`='".$_GET['id']."'"))==0){
echo ' [<a href="/m/tovar.php?id='.$goods['id'].'&act=cart">Добавить в корзину</a>]';
}
echo '</div>';
if($user['id']!=$goods['id_us']){
	if(mysql_num_rows(mysql_query("SELECT * FROM `shop_buy` WHERE `id_us`='".$user['id']."' AND `id_goods`='".$_GET['id']."'"))==0){
	echo '<center><div class="cups"><a href="/m/buy.php?id='.$goods['id'].'">Купить товар</a></div></center>';
}
}
echo '<div class="podmenu">Отзывы: <b><font color="green">'.mysql_num_rows(mysql_query("SELECT * FROM `shop_revievs` WHERE `id_goods`='".$_GET['id']."' AND `type`='1'")).'</font>/<font color="red">'.mysql_num_rows(mysql_query("SELECT * FROM `shop_revievs` WHERE `id_goods`='".$_GET['id']."' AND `type`='2'")).'</font></b> <small>(от купивших)</small></div>';
if(mysql_num_rows(mysql_query("SELECT * FROM `shop_buy` WHERE `id_us`='".$user['id']."' AND `id_goods`='".$_GET['id']."'"))!=0){
	echo '<b>[<font color="greean"><a href="/m/tovar.php?id='.$_GET['id'].'&act=otz&p">+</a></font>]	[<font color="red"><a href="/m/tovar.php?id='.$_GET['id'].'&act=otz&o">-</a></font>]</b>';
}
if($user['id']!=$goods['id_us']){
	if(mysql_num_rows(mysql_query("SELECT * FROM `shop_gravamen` WHERE `id_us`='".$user['id']."' AND `id_goods`='".$_GET['id']."'"))==0){
echo '<div class="podmenu"><a href="/m/tovar.php?id='.$goods['id'].'&act=jal"> Жаловаться на товар</a></div>';
}
}
echo '<div class="podmenu">WMID: <a href="https://passport.webmoney.ru/asp/certView.asp?wmid='.$wmid.'">'.$wmid.'</a></div>
<div class="podmenu">BL: <img src="http://stats.wmtransfer.com/Levels/pWMIDLevel.aspx?wmid='.$wmid.'&w=35&h=18&bg=0XFFFFFF"></div>
<div class="podmenu">Претензии/Отзывы: <img src="http://arbitrage.webmoney.ru/xml/AL.aspx?wmid='.$wmid.'"></div>
<div class="podmenu"><a href="/m/shop.php?id='.$goods['id_us'].'">Все товары продаца</a> ('.mysql_num_rows(mysql_query("SELECT * FROM `shop_goods` WHERE `id_us`='".$goods['id_us']."'")).')</div>';

if(mysql_num_rows(mysql_query("SELECT * FROM `shop_buy` WHERE `id_us`='".$user['id']."' AND `id_goods`='".$_GET['id']."'"))!=0 or $user['level']>1){
	echo '<div class="podmenu"><center><b><a href="/m/down.php?id='.$_GET['id'].'">Скачать</a></b></center></div>';
}
echo '<div class="title">Обсуждение товара:</div>';
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `shop_comm` WHERE `id_goods` = '".$_GET['id']."' "),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$comm = mysql_query("SELECT * FROM `shop_comm` WHERE `id_goods` = '".$_GET['id']."' ORDER BY `id` DESC LIMIT $start, $max");

while($c = mysql_fetch_assoc($comm))
{
	echo '<div class="podmenu">'.nick($c['id_us']).' '.vremja($c['time']).'<br/><br/>
	'.bb(smile($c['text']));
	if($user['level']>=1){
		echo '<br/><a href="/m/tovar.php?id='.$_GET['id'].'&act=del&cid='.$c['id'].'"> [Уд.]</a>';
		echo ' <a href="/m/tovar.php?id='.$_GET['id'].'&act=editor&cid='.$c['id'].'"> [Ред.]</a>';
	}
	echo '</div>';
}

if($k_post < 1) echo '<div class="podmenu"><b><center>Комментариев пока нет!</center></b></div>';
echo '<div class="podmenu">Добавить комментарий:<br/>
<form action="" method="POST">
<textarea name="text" placeholder="Введите сообщение"></textarea><br/>
<input type="submit" name="ok" value="Добавить">
</form></div>';
if($k_page>1) echo str(''.$HOME.'/m/tovar.php?id='.$_GET['id'].'&',$k_page,$page); // Вывод страниц
break;

case 'edit':

break;

case 'del':
$_GET['cid']=abs(intval($_GET['cid']));
if($user['level']<1){
	echo '<div class="podmenu"><cnter><b>У вас нет прав для просмотра этой страницы</b></center></div>';
	require_once ('../system/footer.php');
	exit();
}
if(mysql_num_rows(mysql_query("SELECT * FROM `shop_comm` WHERE `id`='".$_GET['cid']."'"))==0){
	echo '<div class="podmenu"><center><b>Комментария не существует</b></center></div>';
	require_once ('../system/footer.php');
	exit();
}
mysql_query("DELETE FROM `shop_comm` WHERE `id`='".$_GET['cid']."'");
header('location:/m/tovar.php?id='.$_GET['id'].'&section=top');
break;

case 'editor':
$_GET['cid']=abs(intval($_GET['cid']));
if($user['level']<1){
	echo '<div class="podmenu"><cnter><b>У вас нет прав для просмотра этой страницы</b></center></div>';
	require_once ('../system/footer.php');
	exit();
}
if(mysql_num_rows(mysql_query("SELECT * FROM `shop_comm` WHERE `id`='".$_GET['cid']."'"))==0){
	echo '<div class="podmenu"><center><b>Комментария не существует</b></center></div>';
	require_once ('../system/footer.php');
	exit();
}
if(isset($_POST['ok'])){
	$_POST['comq']=strong($_POST['comq']);
	mysql_query("UPDATE `shop_comm` SET `text`='".$_POST['comq']."' WHERE `id`='".$_GET['cid']."'");
	header('location:/m/tovar.php?id='.$_GET['id'].'&section=top');
}
$z=mysql_fetch_assoc(mysql_query("SELECT * FROM `shop_comm` WHERE `id`='".$_GET['cid']."'"));
echo '<div class="podmenu">
<form action="" method="POST">
<textarea name="comq">'.$z['text'].'</textarea><br/>
<input type="submit" name="ok" value="Изменить">
</form>

</div>';
break;

case 'cart':
if(mysql_num_rows(mysql_query("SELECT * FROM `shop_basket` WHERE `id_us`='".$user['id']."' AND `id_goods`='".$_GET['id']."'"))!=0){
	echo '<div class="podmenu"><center><b>Вы уже добавляли этот товар к себе в корзину</b></center></div>';
	require_once ('../system/footer.php');
	exit();
}
mysql_query("INSERT INTO `shop_basket` SET `id_us`='".$user['id']."', `id_goods`='".$_GET['id']."'");
header('location:/m/tovar.php?id='.$_GET['id']);
break;

case 'jal':
if(mysql_num_rows(mysql_query("SELECT * FROM `shop_gravamen` WHERE `id_us`='".$user['id']."' AND `id_goods`='".$_GET['id']."'"))!=0){
	echo '<div class="podmenu"><center><b>Вы уже оставляли жалобу на данный товар!</b></center></div>';
	require_once ('../system/footer.php');
	exit();
}
if(isset($_POST['ok'])){
	$_POST['jal']=strong($_POST['jal']);
	if(empty($_POST['jal'])){
		$error='Введите текст жалобы!';
	}elseif(mb_strlen($_POST['jal'])>4000){
		$error='Текст жалобы не должен содержать более 4000 символов!';
	}
	if(isset($error)){
		echo '<div class="podmenu"><center><b>'.$error.'</b></center></div>';
	require_once ('../system/footer.php');
	exit();
	}
	mysql_query("INSERT INTO `shop_gravamen` SET `id_us`='".$user['id']."', `id_goods`='".$_GET['id']."', `text`='".$_POST['jal']."'");
	echo '<div class="podmenu">Ваша жалоба отправлена на рассмотрение администрации</div>';
	require_once ('../system/footer.php');
	exit();
}
echo '<div class="podmenu"><form action="" method="POST">
Текст жалобы:<br/>
<textarea name="jal"></textarea><br/>
<input type="submit" name="ok">
</form></div>';
break;

case 'delt':
if($user['level']<1 && $user['id']!=$goods['id_us']){
	echo '<div class="podmenu"><center><b>У вас нет прав для просмотра данной страницы!</b></center></div>';
	require_once ('../system/footer.php');
	exit();
}
mysql_query("DELETE FROM `shop_goods` WHERE `id`='".$_GET['id']."'");
header('location:/m/dir.php?id='.$goods['dir']);
break;

case 'editt':
if($user['level']<1 && $user['id']!=$goods['id_us']){
	echo '<div class="podmenu"><center><b>У вас нет прав для просмотра данной страницы!</b></center></div>';
	require_once ('../system/footer.php');
	exit();
}
if(isset($_POST['ok'])){
	$_POST['name']=strong($_POST['name']);
	$_POST['description']=strong($_POST['description']);
	$_POST['price']=abs(intval($_POST['price']));
	$_POST['amount']=abs(intval($_POST['amount']));
	mysql_query("UPDATE `shop_goods` SET `name`='".$_POST['name']."', `description`='".$_POST['description']."', `price`='".$_POST['price']."', `amount`='".$_POST['amount']."'");
	header('location:/m/tovar.php?id='.$goods['id']);
}
echo '<div class="podmenu">
<form action="" method="POST">
Название:<br/>
<input type="text" name="name" value="'.$goods['name'].'"><br/>
Описание:<br/>
<textarea name="description">'.$goods['description'].'</textarea><br/>
Цена:<br/>
<input type="number" name="price" value="'.$goods['price'].'"><br/>
Кол-во копий:<br/>
<input type="number" name="amount" value="'.$goods['amount'].'"><br/>
<input type="submit" name="ok" value="Изменить">
</form>
</div>';
break;

case 'otz':
if(mysql_num_rows(mysql_query("SELECT * FROM `shop_revievs` WHERE `id_us`='".$user['id']."' AND `id_goods`='".$_GET['id']."'"))!=0){
	$error='Вы уже оставляли оценку данного товара!';
}elseif(mysql_num_rows(mysql_query("SELECT * FROM `shop_buy` WHERE `id_us`='".$user['id']."' AND `id_goods`='".$_GET['id']."'"))==0){
	$error='Для того что бы оставлять оценку, вы должны приобрести этот товар!';
}
if(isset($error)){
	echo '<div class="podmenu"><center><b>'.$error.'</b></center></div>';
	require_once ('../system/footer.php');
	exit();
}
mysql_query("INSERT INTO `shop_revievs` SET `id_us`='".$user['id']."', `id_goods`='".$_GET['id']."'");
header('location:/m/tovar.php?id='.$_GET['id']);
break;
}
echo '<div class="links"><a href="/m">Магазин</a></div>';
require_once ('../system/footer.php');
?>